const fs = require("node:fs");
const { render } = require("./common");
const Computer = require("../IntComp/Computer");

// Load and parse the input
const input = fs.readFileSync("./13/input.dat", "utf8")
    .split(",")
    .map((x) => parseInt(x, 10));

const sampleInput = [104, 1, 104, 2, 104, 3, 104, 6, 104, 5, 104, 4, 99];

const arcade = new Computer(input);
arcade.Run();

render(arcade.outputValues);
